// Start =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// General information section.
// =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// $Author:yongkiang$ User who last changed the file
// $Date:1/2/2013 12:17:00 PM$ Date and time of last check in
// $Revision:1.0$ Visual SourceSafe version number
// $Workfile::   SetupSecsGemPage.h                                    $ Filename
// End =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
// {{AFX_INCLUDES()
#include "MyPropertyPage.h"
// }}AFX_INCLUDES
#if !defined(AFX_SETUPSECSGEMPAGE_H__8A63BF52_97CC_11D6_A80D_005004C029CA__INCLUDED_)
#define AFX_SETUPSECSGEMPAGE_H__8A63BF52_97CC_11D6_A80D_005004C029CA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SetupSecsGemPage.h : header file
//
// #include "SecsGem\OPETimeDisplay.h"

#ifdef  BUILD_GUIDLL
#define     DLLCLASS    __declspec(dllexport)
#else
#define     DLLCLASS    __declspec(dllimport)
#endif
/////////////////////////////////////////////////////////////////////////////
// CSetupSecsGemPage dialog

class DLLCLASS CSetupSecsGemPage : public CMyPropertyPage
{
DECLARE_DYNCREATE(CSetupSecsGemPage)

// Construction
public:
    CSetupSecsGemPage();
    ~CSetupSecsGemPage();

// Dialog Data
// {{AFX_DATA(CSetupSecsGemPage)
    enum {
        IDD = IDD_SETUP_SECSGEM_PAGE
    };
    CShadeButtonST m_btnSGCtrlLink;
    CShadeButtonST m_btnSGOnline;
    CShadeButtonST m_btnSGRecipe;
    CShadeButtonST m_btnSGRemote;
    CShadeButtonST m_btnSGStart;
    CShadeButtonST m_btnSGClrDisplay;
    CShadeButtonST m_btnTerminalMsg;
    CListBox       m_SGListBox;
    CEdit          m_strSGSpoolTxt;
    CEdit          m_strSGLinkTxt;
    CEdit          m_strSGCtrlTxt;
    CEdit          m_strHandlerLinkTxt;
// }}AFX_DATA

// Overrides
// ClassWizard generate virtual function overrides
// {{AFX_VIRTUAL(CSetupSecsGemPage)
public:
    virtual BOOL OnSetActive();
protected:
    virtual void DoDataExchange(CDataExchange* pDX); // DDX/DDV support
    virtual BOOL OnKillActive();
// }}AFX_VIRTUAL

// Implementation
protected:
// Generated message map functions
// {{AFX_MSG(CSetupSecsGemPage)
    virtual BOOL         OnInitDialog();
    afx_msg void         OnSgCleardisp();
    afx_msg void         OnSgBtnonline();
    afx_msg void         OnSgBtnctrllink();
    afx_msg virtual void OnSgBtnremote();
    afx_msg void         OnSgBtnstart();
    afx_msg void         OnSgBtnterminalMsg();
    afx_msg void         OnSgBtnrecipe();
    afx_msg void         OnTimer(UINT nIDEvent);
    afx_msg void         OnBtnOpe();
// }}AFX_MSG
    DECLARE_MESSAGE_MAP()

private:
    BOOL m_bMsgReceived;
    bool bStartCloseSecsGem;

    void RefreshSecsGemStatus();
    void SetButtonEnable(BOOL m_bSetBtnEnable);

public:
    virtual void CustomSecsGemRecipeMgt();
    void         OnSGRemoteCommandRcv();
};

// {{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETUPSECSGEMPAGE_H__8A63BF52_97CC_11D6_A80D_005004C029CA__INCLUDED_)
